Subject: Re: git-svn not fetching all revisions

From: Sam Vilain <[email-masked]>
Date: Wed, 11 Nov 2009 17:00:48 +1300

Marcus Better wrote:
> The problem is that the trunk was replaced by a branch at some point.
> When I do "git svn clone -s svn://host/repo/project" it only fetches the
> "old" trunk up to the time of the switch, and then stops. Newer
> revisions of the "new" trunk are not fetched and cannot be seen with
> "find-rev".

Yeah.  Try doing it in parts - fetch the two stages of the history
explicitly using the revision range arguments to 'git svn fetch' - and
then graft the histories together and fix up with git filter-branch.  A
bit of a hassle, but unfortunately there's not much other option...

Sam